<div fxLayout="row" fxLayoutAlign="end center">
  <h3 class="warn mat-display-1 add-pet-title" fxLayoutAlign="center center" fxFlex="70">{{pageTitle}}</h3>
  <div class="pet-search" fxLayoutAlign="center center" fxFlex="17">
      <input
      matInput class="form-control" type="text" [(ngModel)]="petSearch" placeholder="Pesquisa">
      <mat-icon matSuffix>search</mat-icon>
  </div>
</div>
<mat-selection-list #pets [multiple]="false" *ngIf="(listPets | filter: petSearch).length > 0; else noResults">
  <mat-list-option *ngFor="let pet of listPets | filter: petSearch;" [value]="pet">
    <div fxLayout="row" fxLayoutAlign="center center" fxFlex="40" >
      <div fxLayout="column" fxFlex="10"><img [src]="pet.foto" [alt]="pet.nome"> </div>
      <div fxLayout="column" fxLayoutAlign="center start" fxFlex="20"><p>Nome: {{pet.nome}}</p></div>
      <div fxLayout="column" fxLayoutAlign="center start" fxFlex="10"><p>REG.00{{pet.id}}</p></div>
      <div fxLayout="column" fxLayoutAlign="center start" fxFlex="30"><p>Data de registro: {{pet.dtRegistro}}</p></div>
    </div>
  </mat-list-option>
</mat-selection-list>
<div fxLayout="column" fxLayoutAlign="center center" fxFill>
  <ng-template #noResults>
    <app-loader *ngIf="!petSearch; else noBody"></app-loader>
  </ng-template>
  <ng-template #noBody>
    <div>
      <h4>Nenhum resultado para esta pesquisa "{{petSearch}}".</h4>
    </div>
  </ng-template>
</div>
